_header(`NetBSD')
<UL>
<LI><A HREF="http://netbsd.org/">netbsd.org</A></LI>
<LI><A HREF="https://www.netbsd.org/docs/guide/en/">NetBSD Guide</A></LI>
<LI><A HREF="https://www.netbsd.org/docs/pkgsrc/">pkgsrc Guide</A></LI>
</UL>
<H3>Battery</H3>
<P><CODE>envstat(1)</CODE> can show the current battery status.</P>
<H3>Mounting filesystems</H3>
<OL>
<LI>Connect the drive with the filesystem you want to access.</LI>
<LI>Use <CODE>dmesg(8)</CODE> to determine the location in <CODE>/dev/</CODE> of the disk.</LI>
<LI><CODE>disklabel(8)</CODE> the drive to determine which partition on the disk you want to access (<CODE>disklabel /dev/<I>disk</I></CODE>)</LI>
<LI><CODE>mount(8)</CODE> the filesystem.</LI>
<LI><CODE>umount(8)</CODE> the filesystem when done using it.</LI>
</OL>
<H4>ext4</H4>
<P>
Install <CODE>filesystems/fuse</CODE> and <CODE>filesystems/fuse-ext2</CODE>.
<CODE>disklabel(8)</CODE> will list ext4 filesystems as of type "Linux Ext2".
Use <CODE>fuse-ext2(1)</CODE> to mount the filesystem.
</P>
<P>
<CODE>fuse-ext2(1)</CODE> is spotty in places and may not work correctly.
</P>
<H4>exFAT</H4>
<P>
Install <CODE>filesystems/fuse</CODE> and <CODE>filesystems/fuse-exfat</CODE>.
Use <CODE>mount.exfat</CODE> to mount the filesystem (the manual page for which is <CODE>mount.exfat-fuse(8)</CODE>).
</P>
<H3>Fix <CODE>SSL certificate problem: unable to get local issuer certificate</CODE></H3>
<UL>
<LI><A HREF="http://mail-index.netbsd.org/pkgsrc-users/2021/07/19/msg034147.html">Depending on security/ca-certificates?</A></LI>
<LI><A HREF="https://www.cambus.net/installing-ca-certificates-on-netbsd/">Installing CA certificates on NetBSD</A></LI>
<LI><A HREF="https://github.com/ohmyzsh/ohmyzsh/issues/8321#issuecomment-863493503">SSL Certificate Problem</A> (ohmyzsh/ohmyzsh#8321)</LI>
</UL>
<P>Install <CODE>security/mozilla-rootcerts-openssl</CODE>.</P>
<P>
<I>Do not</I> use SSL workarounds like (in the case of git) <CODE>GIT_SSL_NO_VERIFY</CODE>.
These leave your system open to man-in-the-middle attacks.
</P>
<H3>OpenVPN</H3>
<UL>
<LI><A HREF="Mullvad via openvpn - up could not execute external program">https://forums.freebsd.org/threads/mullvad-via-openvpn-up-could-not-execute-external-program.79968/</A> (FreeBSD Forums)</LI>
<LI><A HREF="Platform Notes">https://community.openvpn.net/openvpn/wiki/PlatformNotes</A> (OpenVPN Community Wiki)</LI>
</UL>
<P>
If using Mullvad, you have to change the shebang on <CODE>update-resolv-conf(8)</CODE>
(a standalone Bash script included in the OpenVPN configurations from Mullvad, intended to be placed in <CODE>/etc/openvpn/</CODE>)
from <CODE>#!/bin/bash</CODE> to _code(`#!/usr/pkg/bin/bash') if using Bash from pkgsrc or another appropriate location if using a different package manager.
</P>
<H3>rc.d</H3>
<UL>
<LI><A HREF="http://www.mewburn.net/luke/papers/rc.d.pdf">The Design and Implementation of the NetBSD rc.d system</A></LI>
</UL>
<H3>System logging</H3>
<UL>
<LI><A HREF="https://www.unitedbsd.com/d/548-system-instability-on-unstable-version-how-do-i-get-logs/7">System instability on unstable version - how do I get logs?</A></LI>
</UL>
<P>See <CODE>syslogd(8)</CODE> and <CODE>syslog.conf(5)</CODE>, which pertain to system logging.</P>
<P>Setting <CODE>DDB_ONPANIC</CODE> (see <CODE>options(4)</CODE> and <CODE>sysctl(8)</CODE>) will save a crash dump at <CODE>/var/crash</CODE> on kernel panic.
<H3>Upgrading</H3>
<UL>
<LI>The NetBSD Guide - <A HREF="https://www.netbsd.org/docs/guide/en/chap-upgrading.html">Chapter 4: Upgrading NetBSD</A></LI>
<LI><A HREF="https://www.unitedbsd.com/d/110-upgrading-netbsd-using-sysinst">Upgrading NetBSD using sysinst</A></LI>
</UL>
